Subject: Re: bug#45521: 13.0.0; C-c C-c gives "Wrong type argument: number-or-marker-p, nil"

From: "Uwe Siart" <[email-masked]>
Date: Tue, 29 Dec 2020 18:25:19 +0100

Hello Tassilo,

Here's my *Backtrace*:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  TeX-active-master-with-quotes(t t nil t)
  apply(TeX-active-master-with-quotes (t t nil t))
  TeX-command-expand("%`%l%(mode)%' %T")
  TeX-command("LaTeX" TeX-master-file nil)
  TeX-command-master(nil)
  funcall-interactively(TeX-command-master nil)
  call-interactively(TeX-command-master nil nil)
  command-execute(TeX-command-master)

Is it ok like that? Or should I have sent it in a different way?

Thanks,
Uwe

On 29 Dec 2020 at 16:31, Tassilo Horn wrote:

> Uwe Siart <[email-masked]> writes:
> 
> Hi Uwe,
> 
> > When I try to call latex on any document I get "Wrong type argument:
> > number-or-marker-p, nil".
> 
> Could you please `M-x toggle-debug-on-error RET' and do the same again?
> That should pop up a *Backtrace* buffer when the error happens again
> whose contents will help debug and fix the problem.
> 
> Bye,
> Tassilo